Bug 1260234 - SELinux is preventing spamd from 'read' accesses on the file unix.
SELinux is preventing spamd from 'read' accesses on the file unix.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:ee78d387083d2e4c5be075370fb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 17:01 EDT by obi8
Modified: 2015-10-28 12:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-128.19.fc22 selinux-policy-3.13.1-128.18.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 12:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description obi8 2015-09-04 17:01:00 EDT
Description of problem:
SELinux is preventing spamd from 'read' accesses on the file unix.

*****  Plugin catchall (100. confidence) suggests   **************************

If sie denken, dass es spamd standardmässig erlaubt sein sollte, read Zugriff auf unix file zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep spamd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:spamd_t:s0
Target Context                system_u:object_r:proc_net_t:s0
Target Objects                unix [ file ]
Source                        spamd
Source Path                   spamd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.12.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-200.fc22.x86_64 #1 SMP Mon
                              Aug 17 19:54:31 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-09-04 15:13:29 CEST
Last Seen                     2015-09-04 15:13:29 CEST
Local ID                      99ca0e3f-69d7-4a17-b866-40dc9e219db9

Raw Audit Messages
type=AVC msg=audit(1441372409.683:719): avc:  denied  { read } for  pid=5699 comm="spamd" name="unix" dev="proc" ino=4026532018 scontext=system_u:system_r:spamd_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file permissive=0


Hash: spamd,spamd_t,proc_net_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-128.12.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-200.fc22.x86_64
type:           libreport
Comment 2 Fedora Update System 2015-10-09 10:16:49 EDT
selinux-policy-3.13.1-128.18.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-946cd8d690
Comment 3 Fedora Update System 2015-10-09 19:22:27 EDT
selinux-policy-3.13.1-128.18.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-946cd8d690
Comment 4 Fedora Update System 2015-10-28 12:26:03 EDT
selinux-policy-3.13.1-128.18.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.